PSTCLNTSAVE(8)

NAME
pstclntsave - Child process of preclntsave to run post-processing commands for Networker savepnpc.

SYNOPSIS
pstclntsave -s server -c client -g group [-p pollinterval] [-t timeout] [-D debuglevel]

DESCRIPTION
The pstclntsave process checks the WORKLIST attribute of the CLIENT resource from the server every number of seconds specified in the poll interval. Whenever the time_out condition or the WORKLIST is NIL (whichever comes first) pstclntsave performs all the post-processing commands specified in /nsr/res/<grpname>.res file, unlinks /nsr/res/<grpname>.tmp and /nsr/res/<grpname>.lck, then records the results (success or failure) in /nsr/log/savepnpc.log file.

Note: This is to be invoked by preclntsave program only. It is not meant for users to use.

OPTIONS

-s server
    Specifies the controlling server.

-c client
    The name of the client where the pre-processing commands will be performed on.

-g group
    Specifies the group name that is being run.

-p pollinterval
    Specifies how often (in seconds) to poll the server.

-t timeout
    The timeout condition in nsr_getdate() format string to start the post-processing commands. This can also be specified in the /nsr/res/<grpname>.res file.

-D debuglevel
    For debugging purpose, the debug level could be 1, 2 or 3.

SEE ALSO
preclntsave(8), savepnpc(8), save(8)